JNA API 3.3.0

## com.sun.jna.platform.unix
Class X11.XCreateWindowEvent

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.unix.X11.XCreateWindowEvent

Enclosing interface:
  X11

    public static class X11.XCreateWindowEvent

extends Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`int` | `border_width`
`X11.Display` | `display`
`int` | `height`
`int` | `override_redirect`
`X11.Window` | `parent`
`int` | `send_event`
`NativeLong` | `serial`
`int` | `type`
`int` | `width`
`X11.Window` | `window`
`int` | `x`
`int` | `y`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`X11.XCreateWindowEvent()`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    public int type

### serial

    public NativeLong serial

### send_event

    public int send_event

### display

    public X11.Display display

### parent

    public X11.Window parent

### window

    public X11.Window window

### x

    public int x

### y

    public int y

### width

    public int width

### height

    public int height

### border_width

    public int border_width

### override_redirect

    public int override_redirect

Constructor Detail

### X11.XCreateWindowEvent

    public X11.XCreateWindowEvent()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.